PULSAR

Get Stops With Pagination

Get stops with pagination.

Authorization

bearerAuth
Authorization<token>

In: header

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Make all properties in T optional

Response Body

application/json

Try it live
POST
/v3/stops/filters

This endpoint requires authentication — use the Login page at the top of the API Reference, or paste a token in the Authorization section below.

curl -X POST "https://example.com/v3/stops/filters" \  -H "Content-Type: application/json" \  -d '{}'
{  "totalItems": 0.1,  "currentPage": 0.1,  "totalPages": 0.1,  "data": [    {      "updatedAt": "2019-08-24T14:15:22Z",      "createdAt": "2019-08-24T14:15:22Z",      "operator": {        "id": 0.1,        "firstName": "string",        "lastName": "string"      },      "classification": {        "id": 0.1,        "generalCause": {          "id": "string",          "name": "string"        },        "specificCause": {          "id": "string",          "name": "string"        },        "component": {          "id": "string",          "name": "string"        },        "description": "string",        "hasBeenAutomated": true,        "isActive": true,        "createdAt": "2019-08-24T14:15:22Z",        "updatedAt": "2019-08-24T14:15:22Z"      },      "machine": {        "isActive": true,        "name": "string",        "id": 0.1      },      "company": {        "timezone": "string",        "name": "string",        "id": 0.1      },      "shift": {        "isConsidered": true,        "name": "string",        "endTime": "2019-08-24T14:15:22Z",        "startTime": "2019-08-24T14:15:22Z",        "id": 0.1      },      "endTime": "2019-08-24T14:15:22Z",      "startTime": "2019-08-24T14:15:22Z",      "id": 0.1    }  ]}